summaryrefslogtreecommitdiffstats
path: root/libraries/libfm/libfm.SlackBuild
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2013-11-05 17:00:48 +0100
committer Robby Workman <rworkman@slackbuilds.org>2013-11-06 00:57:21 -0600
commit7423152ca41ea24cdb567297e73ff943ba1eff3e (patch)
tree3a6e9aa32ce51c5b8c987ddde700c81be4a70d1b /libraries/libfm/libfm.SlackBuild
parent59a7ed6157ef6ff4249e4c7b2a812b14cd474578 (diff)
downloadslackbuilds-7423152ca41ea24cdb567297e73ff943ba1eff3e.tar.gz
slackbuilds-7423152ca41ea24cdb567297e73ff943ba1eff3e.tar.xz
libraries/libfm: Updated for version 20131102_7e1f053.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries/libfm/libfm.SlackBuild')
-rw-r--r--libraries/libfm/libfm.SlackBuild19
1 files changed, 5 insertions, 14 deletions
diff --git a/libraries/libfm/libfm.SlackBuild b/libraries/libfm/libfm.SlackBuild
index 2f14c4d849..d2fbbadaee 100644
--- a/libraries/libfm/libfm.SlackBuild
+++ b/libraries/libfm/libfm.SlackBuild
@@ -2,6 +2,7 @@
# Slackware build script for libfm
+# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>
# Copyright 2010 Chris Abela <chris.abela@maltats.com>
# All rights reserved.
#
@@ -21,12 +22,10 @@
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-#
-# slightly modified by Matteo Bernardini <ponce@slackbuilds.org>
PRGNAM=libfm
-VERSION=${VERSION:-1.1.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-20131102_7e1f053}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -74,10 +73,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Apply patches from upstream
-for i in $CWD/patches/* ; do patch -p1 < $i ; done
-
-autoreconf -fi
+sh autogen.sh || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -105,13 +101,8 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# add handlers for terminal and archiver from LXDE components to the default config
-sed -i -e 's|\[ui\]|terminal=lxterminal -e %s\narchiver=xarchiver %s\n\n[ui]|' \
+sed -i -e 's|\[ui\]|terminal=lxterminal -e %s\narchiver=file-roller %s\n\n[ui]|' \
$PKG/etc/xdg/libfm/libfm.conf
-# add them also for web browser and mail client using those of Slackware
-sed -i -e 's|^WebBrowser=.*|WebBrowser=mozilla-firefox.desktop|' \
- $PKG/etc/xdg/libfm/pref-apps.conf
-sed -i -e 's|^MailClient=.*|MailClient=mozilla-thunderbird.desktop|' \
- $PKG/etc/xdg/libfm/pref-apps.conf
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING README TODO \